| Home | Libraries | People | FAQ | More

### detached_t

Class used to specify that an asynchronous operation is detached.

    class detached_t

##### Member Functions

Name | Description
--- | ---
detached_t | Constructor.

The `detached_t` class is used to indicate that an asynchronous operation is detached. That is, there is no completion handler waiting for the operation's result. A `detached_t` object may be passed as a handler to an asynchronous operation, typically using the special value `boost::asio::detached`. For example:

    my_socket.async_send(my_buffer, boost::asio::detached);

##### Requirements

Header: `boost/asio/detached.hpp`

Convenience header: `boost/asio.hpp`